--- doxygen.SlackBuild	2006-06-11 16:43:03.000000000 -0400
+++ doxygen.SlackBuild.s390x	2006-09-06 21:22:53.000000000 -0400
@@ -13,16 +13,27 @@
 rm -rf doxygen-$VERSION
 tar xjvf $CWD/doxygen-${VERSION}.src.tar.bz2
 cd doxygen-$VERSION
+cat $CWD/doxygen.configure.diff | patch -p1 --backup --suffix=.orig || exit
+cat $CWD/doxygen.makefile.in.diff | patch -p1 --backup --suffix=.orig || exit
+
 # Allow setting complete docdir:
 zcat $CWD/doxygen.docdir.diff.gz | patch -p1 --verbose || exit 1
 chown -R root:root .
+( cd /usr/lib/qt
+#  ln -sf lib64 lib
+)
 ./configure \
   --shared \
   --release \
   --prefix /usr \
   --docdir /usr/doc/doxygen-$VERSION \
-  --with-doxywizard
+  --with-doxywizard64
+
 make -j3
+( cd /usr/lib/qt
+#   rm -f lib
+)
+
 make install INSTALL=$PKG/usr DOCDIR=$PKG/usr/doc/doxygen-$VERSION
 make install_docs INSTALL=$PKG/usr DOCDIR=$PKG/usr/doc/doxygen-$VERSION
 gzip -9 $PKG/usr/man/man?/*.?
